USN-2788-2: unzip regression

9 November 2015

unzip regression

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 15.10
  • Ubuntu 15.04
  • Ubuntu 14.04 LTS
  • Ubuntu 12.04 LTS

Summary

USN-2788-1 introduced a regression in unzip.

Software Description

  • unzip - De-archiver for .zip files

Details

USN-2788-1 fixed vulnerabilities in unzip. One of the security patches caused a regression when extracting 0-byte files. This update fixes the problem.

We apologize for the inconvenience.

Original advisory details:

Gustavo Grieco discovered that unzip incorrectly handled certain password protected archives. If a user or automated system were tricked into processing a specially crafted zip archive, an attacker could possibly execute arbitrary code. (CVE-2015-7696)

Gustavo Grieco discovered that unzip incorrectly handled certain malformed archives. If a user or automated system were tricked into processing a specially crafted zip archive, an attacker could possibly cause unzip to hang, resulting in a denial of service. (CVE-2015-7697)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 15.10
unzip - 6.0-17ubuntu1.2
Ubuntu 15.04
unzip - 6.0-13ubuntu3.2
Ubuntu 14.04 LTS
unzip - 6.0-9ubuntu1.5
Ubuntu 12.04 LTS
unzip - 6.0-4ubuntu2.5

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

In general, a standard system update will make all the necessary changes.

References